Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-14570

Board versions for 3.2.x can be accidentally downgraded to 3.1.x

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.1.8, 3.2.0-b2
    • Fix Version/s: 3.1.9-RC1
    • Component/s: Update system
    • Labels:
      None

      Description

      For obvious reasons, all board versions need an effectively installed check.

      Currently none of the 3.1.x migrations have this, while the 3.2.x one's do.

      The result of that is anytime the 3.1.x is version incremented, it has the possibility to change a 3.2.x board's version back down to the 3.1.x version.

        Attachments

          Activity

            People

            Assignee:
            Marc Marc
            Reporter:
            VSE Matt Friedman [X] (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: